com.qualcomm.ftccommon

## Class LaunchActivityConstantsList

- java.lang.Object
- - com.qualcomm.ftccommon.LaunchActivityConstantsList

-     public class LaunchActivityConstantsList
      extends java.lang.Object

  List of RobotCore Robocol commands used by the FIRST apps

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LaunchActivityConstantsList.RequestCode` Used internally to distinguish the results coming back from various launched (sub)activities

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROGRAMMING_MODE_ACTIVITY_PROGRAMMING_WEB_HANDLERS` Used to pass in ProgrammingWebHandlers to a local activity
    `static java.lang.String` | `RC_WEB_INFO` The intent extra name for JSON encoded `org.firstinspires.ftc.robotcore.internal.webserver.RobotControllerWebInfo` used when launching RemoteProgrammingModeActivity on the driver station.
    `static java.lang.String` | `VIEW_LOGS_ACTIVITY_FILENAME`
    `static java.lang.String` | `ZTE_WIFI_CHANNEL_EDITOR_PACKAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaunchActivityConstantsList()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZTE_WIFI_CHANNEL_EDITOR_PACKAGE

          public static final java.lang.String ZTE_WIFI_CHANNEL_EDITOR_PACKAGE

      See Also:
        Constant Field Values

    - #### VIEW_LOGS_ACTIVITY_FILENAME

          public static final java.lang.String VIEW_LOGS_ACTIVITY_FILENAME

      See Also:
        Constant Field Values

    - #### RC_WEB_INFO

          public static final java.lang.String RC_WEB_INFO

      The intent extra name for JSON encoded `org.firstinspires.ftc.robotcore.internal.webserver.RobotControllerWebInfo` used when launching RemoteProgrammingModeActivity on the driver station.
      See Also:
        Constant Field Values

    - #### PROGRAMMING_MODE_ACTIVITY_PROGRAMMING_WEB_HANDLERS

          public static final java.lang.String PROGRAMMING_MODE_ACTIVITY_PROGRAMMING_WEB_HANDLERS

      Used to pass in ProgrammingWebHandlers to a local activity
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LaunchActivityConstantsList

          public LaunchActivityConstantsList()